package Kirjalista;


/**
 * Monikkoluokka kirjoille.
 * - Sisältää taulukon kirjoista
 * - Lisää ja poistaa kirjoja
 * - Lukee ja kirjoittaa tiedostoon (sitten joskus)
 * - Etsii ja lajittelee (sitten joskus)
 */
public class Kirjat {
    private int maxLkm = 8;
    private int lkm;
    private Kirja[] alkiot = new Kirja[maxLkm];
    
    
    /**
     * @param kirja Lisättävä kirja
     * @throws SailoException Heittää, jos lisääminen ei onnistu
     */
    public void lisaa(Kirja kirja) throws SailoException {
        if (this.lkm >= this.alkiot.length) throw new SailoException("Liikaa alkioita");
        this.alkiot[this.lkm] = kirja;
        this.lkm++;
    }
    
    

    /**
     * Hakee kirjan indeksipaikassa i
     * @param i Halutun kirjan indeksi
     * @return viite kirjaan, jonka indeksi on i
     * @throws IndexOutOfBoundsException jos indeksi liian suuri tai pieni  
     */
    public Kirja hae(int i) throws IndexOutOfBoundsException {
        if (i < 0 || this.lkm <= i)
            throw new IndexOutOfBoundsException("Laiton indeksi: " + i);
        return this.alkiot[i];
    }

    
    /**
     * Palauttaa kirjojen lukumäärän
     * @return kirjojen lukumäärä
     */
    public int getLkm() {
        return this.lkm;
    }

}
